Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Constraint_Nodes.cpp File Reference

`#include "Constraint_Nodes.h"`
`#include "Constraint_Visitors.h"`
`#include "tao/Managed_Types.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for Constraint_Nodes.cpp:

## Functions
const char * | get_rcsid_Trader_Constraint_Nodes (const char *)
int | operator== (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator!= (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator< (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator<= (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator> (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator>= (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator== (CORBA::Double left, const TAO_Literal_Constraint &right)
int | operator== (const TAO_String_Manager &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator+ (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator- (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator * (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator/ (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator- (const TAO_Literal_Constraint &operand)
## Variables
const char * | rcsid_Trader_Constraint_Nodes = get_rcsid_Trader_Constraint_Nodes ( rcsid_Trader_Constraint_Nodes )
int(* | dispatch_table [])(TAO_Constraint_Visitor *, TAO_Binary_Constraint *)=

## Function Documentation

const char* get_rcsid_Trader_Constraint_Nodes | ( | const char * |  | ) | `[inline, static]`

TAO_Literal_Constraint operator * | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator!= | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

TAO_Literal_Constraint operator+ | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

TAO_Literal_Constraint operator- | ( | const TAO_Literal_Constraint & | operand | ) |

TAO_Literal_Constraint operator- | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

TAO_Literal_Constraint operator/ | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator< | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator<= | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator== | ( | const TAO_String_Manager & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator== | ( | CORBA::Double | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator== | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator> | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

int operator>= | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) |

## Variable Documentation

int(* dispatch_table[])(TAO_Constraint_Visitor*, TAO_Binary_Constraint*)=`[static]`

const char* rcsid_Trader_Constraint_Nodes = get_rcsid_Trader_Constraint_Nodes ( rcsid_Trader_Constraint_Nodes )`[static]`